/*
 * gps_parser.h
 *
 *  Created on: Dec 15, 2023
 *      Author: user
 */

#ifndef INC_GPS_PARSER_H_
#define INC_GPS_PARSER_H_

#include "main.h"

#define d2r (M_PI / 180.0f)
#define GpsRxBuf_SIZE 512

void StartReadingGps(void);
uint8_t ParseGpsData(float* latitude, float* longitude);
float ConvertDDMMdotMMMM2DDdotDDDDDD(float gprmc_number);
float CalculateGpsDistance(float lat1, float long1, float lat2, float long2);

#endif /* INC_GPS_PARSER_H_ */
